
// initialize the API object
var api = new Object();
var xmlResponse10 = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<sessions>\n\t<session>\n\t\t<id>...</id>\n\t\t<userName>...</userName>" +
"\n\t\t<host>...</host>\n\t\t<protocol>...</protocol>\n\t\t<userClass>...</userClass>\n\t\t<currentTransferBandwith>...</currentTransferBandwith>" +
"\n\t\t<command>...</command>\n\t\t<sessionCreationTime>...</sessionCreationTime>\n\t\t<metadata>\n\t\t\t<links />\n\t\t</metadata>" + 
"\n\t\t<nodeIp>...</nodeIp>\n\t</session>\n</sessions>";
api["10"] = {
	"Accounts" : {
        "accounts" : {
            "path" : "/accounts",
            "methods" : {
                "get" : {
					"description" : " - Gets the accounts.",
                    "request" : ["limit", "offset", "businessUnit", "version"],
                    "response" : {
					  "accounts" : [ {
						"name" : "...",
						"homeFolder" : "...",
						"homeFolderAccessLevel" : "...",
						"uid" : "...",
						"gid" : "...",
						"mappedUser" : "...",
						"skin" : "...",
						"notes" : "...",
						"type" : "...",
						"businessUnit" : "...",
						"loginRestrictionPolicy" : "...",
						"contact" : {
						  "email" : "...",
						  "phone" : "..."
						},
						"deliveryMethod" : "...",
						"enrollmentTypes" : [ "...", "..." ],
						"implicitEnrollmentType" : "...",
						"isUnlicensedUserAllowedToReply" : false,
						"metadata" : {
						  "links" : {
						  }
						},
						"wapAppletEnabled" : false
					  }]
					}
                },
                "post" : {
					"description" : " - Creates accounts",
                    "request" : ["version"],
					"request_body" : {
					  "accounts" : [ {
						"name" : "...",
						"homeFolder" : "...",
						"homeFolderAccessLevel" : "...",
						"uid" : "...",
						"gid" : "...",
						"mappedUser" : "...",
						"skin" : "...",
						"notes" : "...",
						"type" : "...",
						"businessUnit" : "...",
						"loginRestrictionPolicy" : "...",
						"contact" : {
						  "email" : "...",
						  "phone" : "..."
						},
						"deliveryMethod" : "...",
						"enrollmentTypes" : [ "...", "..." ],
						"implicitEnrollmentType" : "...",
						"isUnlicensedUserAllowedToReply" : false,
						"metadata" : {
						  "links" : {
						  }
						},
						"wapAppletEnabled" : false
					  }]
					},
                    "response" : "No content"
                }
            }
        },
        "accounts_name" : {
            "path" : "/accounts/{name}",
            "methods" : {
                "get" : {
					"description" : " - Gets account with name.",
                    "request" : ["name", "version"],
                    "response" : {
					  "name" : "...",
					  "homeFolder" : "...",
					  "homeFolderAccessLevel" : "...",
					  "uid" : "...",
					  "gid" : "...",
					  "mappedUser" : "...",
					  "skin" : "...",
					  "notes" : "...",
					  "type" : "...",
					  "businessUnit" : "...",
					  "loginRestrictionPolicy" : "...",
					  "contact" : {
						"email" : "...",
						"phone" : "..."
					  },
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...", "..." ],
					  "implicitEnrollmentType" : "...",
					  "isUnlicensedUserAllowedToReply" : false,
					  "metadata" : {
						"links" : {
						}
					  },
					  "wapAppletEnabled" : false
					}
                },
                "post" : {
					"description" : " - Update account with name.",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "homeFolder" : "...",
					  "homeFolderAccessLevel" : "...",
					  "uid" : "...",
					  "gid" : "...",
					  "mappedUser" : "...",
					  "skin" : "...",
					  "notes" : "...",
					  "type" : "...",
					  "businessUnit" : "...",
					  "loginRestrictionPolicy" : "...",
					  "contact" : {
						"email" : "...",
						"phone" : "..."
					  },
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...", "..." ],
					  "implicitEnrollmentType" : "...",
					  "isUnlicensedUserAllowedToReply" : false,
					  "metadata" : {
						"links" : {
						}
					  },
					  "wapAppletEnabled" : false
					},
                    "response" : "No content"
                },
                "put" : {
					"description" : " - Create or update account with name.",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "homeFolder" : "...",
					  "homeFolderAccessLevel" : "...",
					  "uid" : "...",
					  "gid" : "...",
					  "mappedUser" : "...",
					  "skin" : "...",
					  "notes" : "...",
					  "type" : "...",
					  "businessUnit" : "...",
					  "loginRestrictionPolicy" : "...",
					  "contact" : {
						"email" : "...",
						"phone" : "..."
					  },
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...", "..." ],
					  "implicitEnrollmentType" : "...",
					  "isUnlicensedUserAllowedToReply" : false,
					  "metadata" : {
						"links" : {
						}
					  },
					  "wapAppletEnabled" : false
					},
                    "response" : "No content"
                },
                "delete" : {
					"description" : " - Deletes account with name.",
                    "request" : ["name", "version"],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_users" : {
            "path" : "/accounts/{accountName}/users",
            "methods" : {
                "get" : {
					"description" : " - Gets the users for a given account.",
                    "request" : ["accountName", "version"],
                    "response" : {
					  "users" : [ {
						"name" : "...",
						"authExternal" : false,
						"locked" : false,
						"failedAuthAttempts" : 0,
						"failedAuthMaximum" : 0,
						"lastFailedAuth" : "...",
						"passwordCredentials" : {
						  "username" : "...",
						  "password" : "...",
						  "passwordDigest" : "...",
						  "lastPasswordChange" : "...",
						  "passwordExpiryInterval" : 0
						},
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                },
                "post" : {
					"description" : " - Creates the users for an account. ",
                    "request" : ["accountName", "version"],
					"request_body" : {
					  "users" : [ {
						"name" : "...",
						"authExternal" : false,
						"locked" : false,
						"failedAuthAttempts" : 0,
						"failedAuthMaximum" : 0,
						"lastFailedAuth" : "...",
						"passwordCredentials" : {
						  "username" : "...",
						  "password" : "...",
						  "passwordDigest" : "...",
						  "lastPasswordChange" : "...",
						  "passwordExpiryInterval" : 0
						},
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
                    "response" : "No content"
                }
            }
        },
        "accounts_name_convertToLicensed" : {
            "path" : "/accounts/{name}/convertToLicensed",
            "methods" : {
                "post" : {
					"description" : "",
                    "request" : ["name", "version"],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_users_user" : {
            "path" : "/accounts/{accountName}/users/{userName}",
            "methods" : {
                "get" : {
					"description" : " - Gets an user with the given account and name.",
                    "request" : ["accountName", "userName", "version"],
                    "response" : {
					  "name" : "...",
					  "authExternal" : false,
					  "locked" : false,
					  "failedAuthAttempts" : 0,
					  "failedAuthMaximum" : 0,
					  "lastFailedAuth" : "...",
					  "passwordCredentials" : {
						"username" : "...",
						"password" : "...",
						"passwordDigest" : "...",
						"lastPasswordChange" : "...",
						"passwordExpiryInterval" : 0
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
                "post" : {
					"description" : " - Updates a user for an account.",
                    "request" : ["accountName", "userName","version"],
					"request_body" : {
					  "name" : "...",
					  "authExternal" : false,
					  "locked" : false,
					  "failedAuthAttempts" : 0,
					  "failedAuthMaximum" : 0,
					  "lastFailedAuth" : "...",
					  "passwordCredentials" : {
						"username" : "...",
						"password" : "...",
						"passwordDigest" : "...",
						"lastPasswordChange" : "...",
						"passwordExpiryInterval" : 0
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "put" : {
					"description" : " - Creates an user for an account. Replaces the user if there is an user with the same name.",
                    "request" : ["accountName", "userName", "version"],
					"request_body" : {
					  "name" : "...",
					  "authExternal" : false,
					  "locked" : false,
					  "failedAuthAttempts" : 0,
					  "failedAuthMaximum" : 0,
					  "lastFailedAuth" : "...",
					  "passwordCredentials" : {
						"username" : "...",
						"password" : "...",
						"passwordDigest" : "...",
						"lastPasswordChange" : "...",
						"passwordExpiryInterval" : 0
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "delete" : {
					"description" : " - Deletes user from account.",
                    "request" : ["accountName", "userName", "version"],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_addressBook_contacts" : {
            "path" : "/accounts/{name}/addressBook/contacts",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : ["name", "fullName", "primaryEmail", "limit", "offset", "version"],
                    "response" : {
					  "contacts" : [ {
						"id" : "...",
						"fullName" : "...",
						"primaryEmail" : "..."
					  }]
					}
                },
                "post" : {
					"description" : "",
                    "request" : ["name", "version"],
					"request_body" : {
					  "contacts" : [ {
						"id" : "...",
						"fullName" : "...",
						"primaryEmail" : "..."
					  }]
					},
                    "response" : {
						"contacts": [{
							"contact": {
								"id": "string",
								"fullName": "string",
								"primaryEmail": "string"
							}
						}]
					}
                }
            }
        },
        "accounts_name_addressBook_contact" : {
            "path" : "/accounts/{name}/addressBook/contacts/{id}",
            "methods" : {
                "put" : {
					"description" : " - Updates an contact.",
                    "request" : ["name", "id", "version"],
					"request_body" : {
					  "id" : "...",
					  "fullName" : "...",
					  "primaryEmail" : "..."
					},
                    "response" : "No content"
                },
                "delete" : {
					"description" : " - Deletes contact.",
                    "request" : ["name", "id", "version"],
                    "response" : "No content"
                }
            }
        }  
    },
    "Applications" : {
        "applications" : {
            "path" : "/applications",
            "methods" : {
                "get" : { 
					"description" : " - Gets applications.",
                    "request" : ["name", "type", "businessUnit", "version"],
                    "response" : {
					  "applications" : [ {
						"id" : "...",
						"name" : "...",
						"type" : "...",
						"notes" : "...",
						"folder" : "...",
						"sharedFolder" : "...",
						"dropFolder" : "...",
						"businessUnits" : [ "...", "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                },
                "post" : { 
					"description" : " - Creates the applications.",
					"request" : ["version"],
                    "request_body" : {
					  "applications" : [ {
						"id" : "...",
						"name" : "...",
						"type" : "...",
						"notes" : "...",
						"folder" : "...",
						"sharedFolder" : "...",
						"dropFolder" : "...",
						"businessUnits" : [ "...", "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
                    "response" : "No content"
                }
            }
        },
        "applications_name" : {
            "path" : "/applications/{name}",
            "methods" : {
                "get" : { 
                    "description" : " - Gets a single application.",
					"request" : ["name", "version"],
                    "response" : {
					  "id" : "...",
					  "name" : "...",
					  "type" : "...",
					  "notes" : "...",
					  "folder" : "...",
					  "sharedFolder" : "...",
					  "dropFolder" : "...",
					  "businessUnits" : [ "...", "..." ],
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
                "post" : { 
                    "description" : " - Updates application properties.",
					"request" : ["name", "version"],
					"request_body" : {
					  "id" : "...",
					  "name" : "...",
					  "type" : "...",
					  "notes" : "...",
					  "folder" : "...",
					  "sharedFolder" : "...",
					  "dropFolder" : "...",
					  "businessUnits" : [ "...", "..." ],
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "put" : {
                    "description" : " - Creates the application or replaces existing application with the same name. ",
					"request" : ["name", "version"],
					"request_body" : {
					  "id" : "...",
					  "name" : "...",
					  "type" : "...",
					  "notes" : "...",
					  "folder" : "...",
					  "sharedFolder" : "...",
					  "dropFolder" : "...",
					  "businessUnits" : [ "...", "..." ],
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "delete" : {
                    "description" : " - Deletes an application.",
					"request" : ["name", "version"],
                    "response" : "No content"
                }
            }
        },
        "applications_name_schedules" : {
            "path" : "/applications/{name}/schedules",
            "methods" : {
                "get" : { 
                    "description" : " - Gets the schedules for a application with a given name.",
					"request" : ["name", "version"],
                    "response" : {
					  "schedules" : [ {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ 1, 2 ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}

                },
                "post" : { 
                    "description" : " - Creates schedules for a application with a given name.",
					"request" : ["name", "version"],
					"request_body" : {
					  "schedules" : [ {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ 1, 2 ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
                    "response" : "No content"
                }
            }
        },
        "applications_name_schTag" : {
            "path" : "/applications/{name}/schedules/{scheduleTag}",
            "methods" : {
                "get" : { 
                    "description" : " - Gets the schedule for an application with a given name.",
					"request" : ["name", "scheduleTag", "version"],
                    "response" : {
					  "target" : "...",
					  "subscriptionId" : "...",
					  "applicationName" : "...",
					  "tag" : "...",
					  "type" : "ONCE",
					  "executionTimes" : [ "...", "..." ],
					  "daysOfMonth" : [ 1, 2 ],
					  "daysOfWeek" : [ "SUNDAY", "..." ],
					  "months" : [ "JANUARY", "..." ],
					  "startDate" : "...",
					  "endDate" : "...",
					  "hourlyStep" : "...",
					  "weekOfMonth" : "FIRST",
					  "skipHolidays" : false,
					  "hourlyType" : "PERHOURS",
					  "dailyType" : "EVERYDAY",
					  "monthlyType" : "EXACT",
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
                "post" : { 
                    "description" : " - Updates application schedule properties.",
					"request" : ["name", "scheduleTag", "version"],
					"request_body" : {
					  "target" : "...",
					  "subscriptionId" : "...",
					  "applicationName" : "...",
					  "tag" : "...",
					  "type" : "ONCE",
					  "executionTimes" : [ "...", "..." ],
					  "daysOfMonth" : [ 1, 2 ],
					  "daysOfWeek" : [ "SUNDAY", "..." ],
					  "months" : [ "JANUARY", "..." ],
					  "startDate" : "...",
					  "endDate" : "...",
					  "hourlyStep" : "...",
					  "weekOfMonth" : "FIRST",
					  "skipHolidays" : false,
					  "hourlyType" : "PERHOURS",
					  "dailyType" : "EVERYDAY",
					  "monthlyType" : "EXACT",
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "put" : {
                    "description" : " - Creates the schedule or replaces existing application schedule with the same tag.",
					"request" : ["name", "scheduleTag", "version"],
					"request_body" : {
					  "target" : "...",
					  "subscriptionId" : "...",
					  "applicationName" : "...",
					  "tag" : "...",
					  "type" : "ONCE",
					  "executionTimes" : [ "...", "..." ],
					  "daysOfMonth" : [ 1, 2 ],
					  "daysOfWeek" : [ "SUNDAY", "..." ],
					  "months" : [ "JANUARY", "..." ],
					  "startDate" : "...",
					  "endDate" : "...",
					  "hourlyStep" : "...",
					  "weekOfMonth" : "FIRST",
					  "skipHolidays" : false,
					  "hourlyType" : "PERHOURS",
					  "dailyType" : "EVERYDAY",
					  "monthlyType" : "EXACT",
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "delete" : {
                    "description" : " - Deletes a schedule.",
					"request" : ["name", "scheduleTag", "version"],
                    "response" : "No content"
                }
            }
        } 
    },
	"BusinessUnits" : {
        "business_units" : {
            "path" : "/businessUnits",
            "methods" : {
                "get" : {
					"description" : " - Gets the business units.",
                    "request" : ["limit", "offset", "account", "application", "version"],
                    "response" : {
					  "businessUnits" : [ {
						"name" : "...",
						"parent" : "...",
						"businessUnitHierarchy" : "...",
						"baseFolder" : "...",
						"baseFolderAllowedForModifying" : false,
						"homeFolderAllowedForModifying" : false,
						"htmlTemplateFolderPath" : "...",
						"htmlTemplateAllowedForModifying" : false,
						"deliveryMethodAllowedForModifying" : false,
						"enrollmentTemplate" : "...",
						"authByEmailAllowedForModifying" : false,
						"authByEmail" : false,
						"webServiceRightsAllowedForModifying" : false,
						"loginRestrictionPolicyAllowedForModifying" : false,
						"deliveryMethod" : "...",
						"enrollmentTypes" : [ "...", "..." ],
						"implicitEnrollmentType" : "...",
						"notificationTemplate" : "...",
						"dmz" : "...",
						"loginRestrictionPolicy" : "...",
						"enabledIcapServers" : [ "...", "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                },
                "post" : {
					"description" : " - Creates business units",
                    "request" : ["version"],
					"request_body" : {
					  "businessUnits" : [ {
						"name" : "...",
						"parent" : "...",
						"businessUnitHierarchy" : "...",
						"baseFolder" : "...",
						"baseFolderAllowedForModifying" : false,
						"homeFolderAllowedForModifying" : false,
						"htmlTemplateFolderPath" : "...",
						"htmlTemplateAllowedForModifying" : false,
						"deliveryMethodAllowedForModifying" : false,
						"enrollmentTemplate" : "...",
						"authByEmailAllowedForModifying" : false,
						"authByEmail" : false,
						"webServiceRightsAllowedForModifying" : false,
						"loginRestrictionPolicyAllowedForModifying" : false,
						"deliveryMethod" : "...",
						"enrollmentTypes" : [ "...", "..." ],
						"implicitEnrollmentType" : "...",
						"notificationTemplate" : "...",
						"dmz" : "...",
						"loginRestrictionPolicy" : "...",
						"enabledIcapServers" : [ "...", "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
                    "response" : "No content"
                }
            }
        },
        "businessunit_name" : {
            "path" : "/businessUnits/{name}",
            "methods" : {
                "get" : {
					"description" : " - Get a single business unit.",
                    "request" : ["name", "version"],
                    "response" : {
					  "name" : "...",
					  "parent" : "...",
					  "businessUnitHierarchy" : "...",
					  "baseFolder" : "...",
					  "baseFolderAllowedForModifying" : false,
					  "homeFolderAllowedForModifying" : false,
					  "htmlTemplateFolderPath" : "...",
					  "htmlTemplateAllowedForModifying" : false,
					  "deliveryMethodAllowedForModifying" : false,
					  "enrollmentTemplate" : "...",
					  "authByEmailAllowedForModifying" : false,
					  "authByEmail" : false,
					  "webServiceRightsAllowedForModifying" : false,
					  "loginRestrictionPolicyAllowedForModifying" : false,
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...","..."],
					  "implicitEnrollmentType" : "...",
					  "notificationTemplate" : "...",
					  "dmz" : "...",
					  "loginRestrictionPolicy" : "...",
					  "enabledIcapServers" : [ "...","..."],
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
                "post" : {
					"description" : " - Update a business unit",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "parent" : "...",
					  "businessUnitHierarchy" : "...",
					  "baseFolder" : "...",
					  "baseFolderAllowedForModifying" : false,
					  "homeFolderAllowedForModifying" : false,
					  "htmlTemplateFolderPath" : "...",
					  "htmlTemplateAllowedForModifying" : false,
					  "deliveryMethodAllowedForModifying" : false,
					  "enrollmentTemplate" : "...",
					  "authByEmailAllowedForModifying" : false,
					  "authByEmail" : false,
					  "webServiceRightsAllowedForModifying" : false,
					  "loginRestrictionPolicyAllowedForModifying" : false,
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...", "..." ],
					  "implicitEnrollmentType" : "...",
					  "notificationTemplate" : "...",
					  "dmz" : "...",
					  "loginRestrictionPolicy" : "...",
					  "enabledIcapServers" : [ "...", "..." ],
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "put" : {
					"description" : " - Creates a business unit",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "parent" : "...",
					  "businessUnitHierarchy" : "...",
					  "baseFolder" : "...",
					  "baseFolderAllowedForModifying" : false,
					  "homeFolderAllowedForModifying" : false,
					  "htmlTemplateFolderPath" : "...",
					  "htmlTemplateAllowedForModifying" : false,
					  "deliveryMethodAllowedForModifying" : false,
					  "enrollmentTemplate" : "...",
					  "authByEmailAllowedForModifying" : false,
					  "authByEmail" : false,
					  "webServiceRightsAllowedForModifying" : false,
					  "loginRestrictionPolicyAllowedForModifying" : false,
					  "deliveryMethod" : "...",
					  "enrollmentTypes" : [ "...", "..." ],
					  "implicitEnrollmentType" : "...",
					  "notificationTemplate" : "...",
					  "dmz" : "...",
					  "loginRestrictionPolicy" : "...",
					  "enabledIcapServers" : [ "...", "..." ],
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
                "delete" : {
					"description" : " - Deletes a business unit",
                    "request" : ["name", "version"],
                    "response" : "No content"
                }
            }
        }
	},
	"Logs" : {
        "logs" : {
            "path" : "/logs",
            "methods" : {
                "get" : {
					"description" : " - Retrieve the logs based on URI parameter criteria.",
                    "request" : ["limit", "offset", "component", "level", "accountName", "threadName", "fromDate", "endDate", "sessionIdentifier", "transferIdentifier", "message", "version"],
                    "response" : {
					  "logEntries" : [ {
						"time" : "...",
						"node" : "...",
						"level" : "...",
						"component" : "...",
						"thread" : "...",
						"filename" : "...",
						"className" : "...",
						"method" : "...",
						"line" : "...",
						"message" : "...",
						"exception" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                }
            }
        },
        "logs_export" : {
            "path" : "/logs/export",
            "methods" : {
                "get" : {
					"description" : " - Export the logs in CSV format, based on URL parameter criteria.",
                    "request" : ["component", "level", "accountName", "threadName", "fromDate", "endDate", "sessionIdentifier", "transferIdentifier", "message", "version"],
                    "response" : ""
                }
            }
        },
        "logs_logId" : {
            "path" : "/logs/{logId}",
            "methods" : {
                "get" : {
					"description" : " - Gets a single log entry including the exception.",
                    "request" : ["logId", "version"],
                    "response" : {
					  "time" : "...",
					  "node" : "...",
					  "level" : "...",
					  "component" : "...",
					  "thread" : "...",
					  "filename" : "...",
					  "className" : "...",
					  "method" : "...",
					  "line" : "...",
					  "message" : "...",
					  "exception" : "...",
					  "metadata" : {
						"links" : {
						}
					  }
					}
                }
            }
        }
	},
	"Myself" : {
        "Myself" : {
            "path" : "/myself",
            "methods" : {
                "get" : {
					"description" : " - Gets information for the current administrator.",
                    "request" : ["version"],
                    "response" : {
					  "loginName" : "...",
					  "roleName" : "...",
					  "roleType" : "...",
					  "localAuthentication" : false,
					  "passwordExpired" : false,
					  "certificateDN" : "...",
					  "loginFailureCount" : 0,
					  "lastPasswordChangeTime" : "...",
					  "lastLoginTime" : "...",
					  "lastFailureLoginTime" : "...",
					  "dualAuthentication" : false,
					  "locked" : false,
					  "parent" : "...",
					  "fullCreationPath" : "...",
					  "canReadOnly" : false,
					  "isMaker" : false,
					  "isChecker" : false,
					  "canCreateUsers" : false,
					  "canUpdateUsers" : false,
					  "canAccessHelpDesk" : false,
					  "canSeeFullAuditLog" : false,
					  "canManageAdministrators" : false,
					  "canManageApplications" : false,
					  "canManageSharedFolders" : false,
					  "canManageBusinessUnits" : false,
					  "canManageRouteTemplates" : false,
					  "canManageExternalScriptStep" : false,
					  "canManageExternalScriptRootExecution" : false,
					  "canManageLoginRestrictionPolicies" : false,
					  "metadata" : {
						"links" : {
						}
					  },
					  "canManageIcapSettings" : false
					}
                },
				"post" : {
					"description" : " - Login user. Here a user can receive a COOKIE to use for successive web service calls.",
                    "request" : ["version"],
                    "response" : {"message": "..."}
                },
				"delete" : {
					"description" : " - Logout from REST API.",
                    "request" : ["version"],
                    "response" : {"message" : "..."}
                }
            }
        }
	},
	"Sites" : {
        "sites" : {
            "path" : "/sites",
            "methods" : {
                "get" : {
					"description" : " - Gets the sites.",
                    "request" : ["limit", "offset", "account", "name", "protocol", "siteTemplate", "version"],
                    "response" : {
					  "sites" : [ {
						"id" : "...",
						"name" : "...",
						"account" : "...",
						"protocol" : "...",
						"siteTemplate" : "...",
						"transferType" : "...",
						"maxConcurrentConnection" : 0,
						"default" : false,
						"accessLevel" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                },
				"post" : {
					"description" : " - Creates the sites.",
                    "request" : ["version"],
                    "request_body" : {
					  "sites" : [ {
						"id" : "...",
						"name" : "...",
						"account" : "...",
						"protocol" : "...",
						"siteTemplate" : "...",
						"transferType" : "...",
						"maxConcurrentConnection" : 0,
						"default" : false,
						"accessLevel" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
					"response" : "No content"
                }
            }
        },
		"sites_id" : {
            "path" : "/sites/{id}",
            "methods" : {
                "get" : {
					"description" : " - Gets a single site with a given id.",
                    "request" : ["id", "version"],
                    "response" : {
					  "id" : "...",
					  "name" : "...",
					  "account" : "...",
					  "protocol" : "...",
					  "siteTemplate" : "...",
					  "transferType" : "...",
					  "maxConcurrentConnection" : 0,
					  "default" : false,
					  "accessLevel" : "...",
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
				"post" : {
					"description" : " - Updates site properties.",
                    "request" : ["id", "version"],
					"request_body" : {
					  "id" : "...",
					  "name" : "...",
					  "account" : "...",
					  "protocol" : "...",
					  "siteTemplate" : "...",
					  "transferType" : "...",
					  "maxConcurrentConnection" : 0,
					  "default" : false,
					  "accessLevel" : "...",
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes a site.",
                    "request" : ["id", "version"],
                    "response" : "No content"
                }
            }
        }
	},
	"Dmz" : {
        "zones" : {
            "path" : "/zones",
            "methods" : {
                "get" : {
					"description" : " - Gets the zones.",
                    "request" : ["version"],
                    "response" : {
					  "zones" : [ {
						"name" : "...",
						"description" : "...",
						"publicURLPrefix" : "...",
						"ssoSpEntityId" : "...",
						"isDnsResolutionEnabled" : false,
						"isDefault" : false,
						"edges" : {
						  "edge" : [ {
							"title" : "...",
							"notes" : "...",
							"deploymentSite" : "...",
							"enabledProxy" : false,
							"protocols" : {
							  "protocol" : [ {
								"streaming_protocol" : "...",
								"port" : 0,
								"isProxy" : false,
								"isEnabled" : false,
								"ssl_alias" : "...",
								"metadata" : {
								  "links" : {
								  }
								}
							  }]
							},
							"proxies" : {
							  "proxy" : [ {
								"proxy_protocol" : "...",
								"port" : 0,
								"isEnabled" : false,
								"username" : "...",
								"password" : "...",
								"isUsePassword" : false,
								"metadata" : {
								  "links" : {
								  }
								}
							  }]
							},
							"ip_address" : [ {
							  "ipAddress" : "..."
							}],
							"configurationId" : "...",
							"descriptor" : "...",
							"metadata" : {
							  "links" : {
							  }
							}
						  }]
						},
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
                },
				"post" : {
					"description" : " - Creates zones.",
                    "request" : ["version"],
					"request_body" : {
					  "zones" : [ {
						"name" : "...",
						"description" : "...",
						"publicURLPrefix" : "...",
						"ssoSpEntityId" : "...",
						"isDnsResolutionEnabled" : false,
						"isDefault" : false,
						"edges" : {
						  "edge" : [ {
							"title" : "...",
							"notes" : "...",
							"deploymentSite" : "...",
							"enabledProxy" : false,
							"protocols" : {
							  "protocol" : [ {
								"streaming_protocol" : "...",
								"port" : 0,
								"isProxy" : false,
								"isEnabled" : false,
								"ssl_alias" : "...",
								"metadata" : {
								  "links" : {
								  }
								}
							  }]
							},
							"proxies" : {
							  "proxy" : [ {
								"proxy_protocol" : "...",
								"port" : 0,
								"isEnabled" : false,
								"username" : "...",
								"password" : "...",
								"isUsePassword" : false,
								"metadata" : {
								  "links" : {
								  }
								}
							  }]
							},
							"ip_address" : [ {
							  "ipAddress" : "..."
							}],
							"configurationId" : "...",
							"descriptor" : "...",
							"metadata" : {
							  "links" : {
							  }
							}
						  }]
						},
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
                    "response" : "No content"
                }
            }
        },
		"zones_name" : {
            "path" : "/zones/{name}",
            "methods" : {
                "get" : {
					"description" : " - Gets the zone with given name.",
                    "request" : ["name", "version"],
                    "response" : {
					  "name" : "...",
					  "description" : "...",
					  "publicURLPrefix" : "...",
					  "ssoSpEntityId" : "...",
					  "isDnsResolutionEnabled" : false,
					  "isDefault" : false,
					  "edges" : {
						"edge" : [ {
						  "title" : "...",
						  "notes" : "...",
						  "deploymentSite" : "...",
						  "enabledProxy" : false,
						  "protocols" : {
							"protocol" : [ {
							  "streaming_protocol" : "...",
							  "port" : 0,
							  "isProxy" : false,
							  "isEnabled" : false,
							  "ssl_alias" : "...",
							  "metadata" : {
								"links" : {
								}
							  }
							} ]
						  },
						  "proxies" : {
							"proxy" : [ {
							  "proxy_protocol" : "...",
							  "port" : 0,
							  "isEnabled" : false,
							  "username" : "...",
							  "password" : "...",
							  "isUsePassword" : false,
							  "metadata" : {
								"links" : {
								}
							  }
							}]
						  },
						  "ip_address" : [ {
							"ipAddress" : "..."
						  }],
						  "configurationId" : "...",
						  "descriptor" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						}]
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					}
                },
				"post" : {
					"description" : " - Updates the fields of existing zone with the same name.",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "description" : "...",
					  "publicURLPrefix" : "...",
					  "ssoSpEntityId" : "...",
					  "isDnsResolutionEnabled" : false,
					  "isDefault" : false,
					  "edges" : {
						"edge" : [ {
						  "title" : "...",
						  "notes" : "...",
						  "deploymentSite" : "...",
						  "enabledProxy" : false,
						  "protocols" : {
							"protocol" : [ {
							  "streaming_protocol" : "...",
							  "port" : 0,
							  "isProxy" : false,
							  "isEnabled" : false,
							  "ssl_alias" : "...",
							  "metadata" : {
								"links" : {
								}
							  }
							}]
						  },
						  "proxies" : {
							"proxy" : [ {
							  "proxy_protocol" : "...",
							  "port" : 0,
							  "isEnabled" : false,
							  "username" : "...",
							  "password" : "...",
							  "isUsePassword" : false,
							  "metadata" : {
								"links" : {
								}
							  }
							}]
						  },
						  "ip_address" : [ {
							"ipAddress" : "..."
						  } ],
						  "configurationId" : "...",
						  "descriptor" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						} ]
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
				"put" : {
					"description" : " - Creates the zone or replaces existing zone with the same name.",
                    "request" : ["name", "version"],
					"request_body" : {
					  "name" : "...",
					  "description" : "...",
					  "publicURLPrefix" : "...",
					  "ssoSpEntityId" : "...",
					  "isDnsResolutionEnabled" : false,
					  "isDefault" : false,
					  "edges" : {
						"edge" : [ {
						  "title" : "...",
						  "notes" : "...",
						  "deploymentSite" : "...",
						  "enabledProxy" : false,
						  "protocols" : {
							"protocol" : [ {
							  "streaming_protocol" : "...",
							  "port" : 0,
							  "isProxy" : false,
							  "isEnabled" : false,
							  "ssl_alias" : "...",
							  "metadata" : {
								"links" : {
								}
							  }
							}]
						  },
						  "proxies" : {
							"proxy" : [ {
							  "proxy_protocol" : "...",
							  "port" : 0,
							  "isEnabled" : false,
							  "username" : "...",
							  "password" : "...",
							  "isUsePassword" : false,
							  "metadata" : {
								"links" : {
								}
							  }
							}]
						  },
						  "ip_address" : [ {
							"ipAddress" : "..."
						  } ],
						  "configurationId" : "...",
						  "descriptor" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						} ]
					  },
					  "metadata" : {
						"links" : {
						}
					  }
					},
                    "response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes a zone with given name.",
                    "request" : ["name", "version"],
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges" : {
            "path" : "/zones/{name}/edges",
            "methods" : {
                "get" : {
					"description" : " - Gets the edges for the given zone.",
                    "request" : ["name", "version"],
                    "response" : {
					  "edges" : [ {
						"title" : "...",
						"notes" : "...",
						"deploymentSite" : "...",
						"enabledProxy" : false,
						"protocols" : {
						  "protocol" : [ {
							"streaming_protocol" : "...",
							"port" : 0,
							"isProxy" : false,
							"isEnabled" : false,
							"ssl_alias" : "...",
							"metadata" : {
							  "links" : {
							  }
							}
						  } ]
						},
						"proxies" : {
						  "proxy" : [ {
							"proxy_protocol" : "...",
							"port" : 0,
							"isEnabled" : false,
							"username" : "...",
							"password" : "...",
							"isUsePassword" : false,
							"metadata" : {
							  "links" : {}
							}
						  } ]
						},
						"ip_address" : [ {
						  "ipAddress" : "..."
						} ],
						"configurationId" : "...",
						"descriptor" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					}
                },
				"post" : {
					"description" : " - Creates the edges for the given zone.",
                    "request" : ["name", "version"],
					"request_body": {
					  "edges" : [ {
						"title" : "...",
						"notes" : "...",
						"deploymentSite" : "...",
						"enabledProxy" : false,
						"protocols" : {
						  "protocol" : [ {
							"streaming_protocol" : "...",
							"port" : 0,
							"isProxy" : false,
							"isEnabled" : false,
							"ssl_alias" : "...",
							"metadata" : {
							  "links" : {
							  }
							}
						  } ]
						},
						"proxies" : {
						  "proxy" : [ {
							"proxy_protocol" : "...",
							"port" : 0,
							"isEnabled" : false,
							"username" : "...",
							"password" : "...",
							"isUsePassword" : false,
							"metadata" : {
							  "links" : {
							  }
							}
						  } ]
						},
						"ip_address" : [ {
						  "ipAddress" : "..."
						} ],
						"configurationId" : "...",
						"descriptor" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					},
					"response" : "No content"
                }
            }
        },
		"zones_name_edges_title" : {
            "path" : "/zones/{name}/edges/{title}",
            "methods" : {
                "get" : {
					"description" : " - Gets an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "version"],
                    "response" : {
					  "title" : "...",
					  "notes" : "...",
					  "deploymentSite" : "...",
					  "enabledProxy" : false,
					  "protocols" : {
						"protocol" : [ {
						  "streaming_protocol" : "...",
						  "port" : 0,
						  "isProxy" : false,
						  "isEnabled" : false,
						  "ssl_alias" : "...",
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "proxies" : {
						"proxy" : [ {
						  "proxy_protocol" : "...",
						  "port" : 0,
						  "isEnabled" : false,
						  "username" : "...",
						  "password" : "...",
						  "isUsePassword" : false,
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "ip_address" : [ {
						"ipAddress" : "..."
					  } ],
					  "configurationId" : "...",
					  "descriptor" : "...",
					  "metadata" : {
						"links" : {}
					  }
					}
                },
				"post" : {
					"description" : " - Updates the given edge properties.",
                    "request" : ["name", "title", "version"],
					"request_body" : {
					  "title" : "...",
					  "notes" : "...",
					  "deploymentSite" : "...",
					  "enabledProxy" : false,
					  "protocols" : {
						"protocol" : [ {
						  "streaming_protocol" : "...",
						  "port" : 0,
						  "isProxy" : false,
						  "isEnabled" : false,
						  "ssl_alias" : "...",
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "proxies" : {
						"proxy" : [ {
						  "proxy_protocol" : "...",
						  "port" : 0,
						  "isEnabled" : false,
						  "username" : "...",
						  "password" : "...",
						  "isUsePassword" : false,
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "ip_address" : [ {
						"ipAddress" : "..."
					  } ],
					  "configurationId" : "...",
					  "descriptor" : "...",
					  "metadata" : {
						"links" : {}
					  }
					},	
                    "response" : "No content"
                },
				"put" : {
					"description" : " - Creates the edge or replaces existing edge with the same name.",
                    "request" : ["name", "title", "version"],
                    "request_body" : {
					  "title" : "...",
					  "notes" : "...",
					  "deploymentSite" : "...",
					  "enabledProxy" : false,
					  "protocols" : {
						"protocol" : [ {
						  "streaming_protocol" : "...",
						  "port" : 0,
						  "isProxy" : false,
						  "isEnabled" : false,
						  "ssl_alias" : "...",
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "proxies" : {
						"proxy" : [ {
						  "proxy_protocol" : "...",
						  "port" : 0,
						  "isEnabled" : false,
						  "username" : "...",
						  "password" : "...",
						  "isUsePassword" : false,
						  "metadata" : {
							"links" : {}
						  }
						} ]
					  },
					  "ip_address" : [ {
						"ipAddress" : "..."
					  } ],
					  "configurationId" : "...",
					  "descriptor" : "...",
					  "metadata" : {
						"links" : {}
					  }
					},
					"response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes an edge.",
                    "request" : ["name", "title", "version"],
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges_title_protocols" : {
            "path" : "/zones/{name}/edges/{title}/protocols",
            "methods" : {
                "get" : {
					"description" : " - Gets the protocols for the given edge and zone.",
                    "request" : ["name", "title", "version"],
                    "response" : {
					  "protocols" : [ {
						"streaming_protocol" : "...",
						"port" : 0,
						"isProxy" : false,
						"isEnabled" : false,
						"ssl_alias" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					}
                }
            }
        },
		"zones_name_edges_title_proxies" : {
            "path" : "/zones/{name}/edges/{title}/proxies",
            "methods" : {
                "get" : {
					"description" : " - Gets the proxies for the given edge and zone.",
                    "request" : ["name", "title", "version"],
                    "response" : {
					  "proxies" : [ {
						"proxy_protocol" : "...",
						"port" : 0,
						"isEnabled" : false,
						"username" : "...",
						"password" : "...",
						"isUsePassword" : false,
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					}
                }
            }
        },
		"zones_name_edges_title_protocols_protocol" : {
            "path" : "/zones/{name}/edges/{title}/protocols/{protocol}",
            "methods" : {
                "get" : {
					"description" : " - Gets a protocol in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "protocol", "version"],
                    "response" : {
					  "streaming_protocol" : "...",
					  "port" : 0,
					  "isProxy" : false,
					  "isEnabled" : false,
					  "ssl_alias" : "...",
					  "metadata" : {
						"links" : {}
					  }
					}
                },
				"post" : {
					"description" : " - Updates a protocol in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "protocol", "version"],
					"request_body" : {
					  "streaming_protocol" : "...",
					  "port" : 0,
					  "isProxy" : false,
					  "isEnabled" : false,
					  "ssl_alias" : "...",
					  "metadata" : {
						"links" : {}
					  }
					},
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges_title_proxies_proxy" : {
            "path" : "/zones/{name}/edges/{title}/proxies/{proxy}",
            "methods" : {
                "get" : {
					"description" : " - Gets a proxy in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "proxy", "version"],
                    "response" : {
					  "proxy_protocol" : "...",
					  "port" : 0,
					  "isEnabled" : false,
					  "username" : "...",
					  "password" : "...",
					  "isUsePassword" : false,
					  "metadata" : {
						"links" : {
						}
					  }
					}
				},
				"post" : {
					"description" : " - Updates a proxy in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "proxy", "version"],
					"request_body" : {
					  "proxy_protocol" : "...",
					  "port" : 0,
					  "isEnabled" : false,
					  "username" : "...",
					  "password" : "...",
					  "isUsePassword" : false,
					  "metadata" : {
						"links" : {
						}
					  }
					},
					"response" : "No content"
                }
            }
        }
	},
	"Sessions" : {
        "sessions" : {
            "path" : "/sessions",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in json format.",
                    "request" : ["limit", "type", "localDaemonReturn", "version"],
                    "response" : {
					  "sessions" : [ {
						"id" : "...",
						"userName" : "...",
						"host" : "...",
						"protocol" : "...",
						"userClass" : "...",
						"currentTransferBandwith" : "...",
						"command" : "...",
						"sessionCreationTime" : "...",
						"metadata" : {
						  "links" : {}
						},
						"nodeIp" : "..."
					  }]
					}
				}
            }
        },
		"sessions_bandwidthInfoByLogin" : {
            "path" : "/sessions/bandwidthInfoByLogin",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions bandwidth information by login name in a single list.",
                    "request" : ["limit", "version"],
                    "response" : [
					  {
						"loginName": "string",
						"inboundBandwidthUsageStat": 0,
						"outboundBandwidthUsageStat": 0,
						"sessionCount": 0,
						"ftpSessionsCount": 0,
						"httpSessionsCount": 0,
						"sshSessionsCount": 0,
						"maxAllowedInboundBandwidth": 0,
						"maxAllowedOutboundBandwidth": 0
					  }
					]
				}
            }
        },
		"sessions_count" : {
            "path" : "/sessions/count",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions count.",
                    "request" : ["type", "version"],
                    "response" : "Number of sessions"
				}
            }
        },
		"sessions_json" : {
            "path" : "/sessions/sessions.json",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in json format.",
                    "request" : ["limit", "type", "localDaemonReturn", "version"],
                    "response" : {
					  "sessions" : [ {
						"id" : "...",
						"userName" : "...",
						"host" : "...",
						"protocol" : "...",
						"userClass" : "...",
						"currentTransferBandwith" : "...",
						"command" : "...",
						"sessionCreationTime" : "...",
						"metadata" : {
						  "links" : {}
						},
						"nodeIp" : "..."
					  }]
					}
				}
            }
        },
		"sessions_xml" : {
            "path" : "/sessions/sessions.xml",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in xml format.",
                    "request" : ["limit", "type", "localDaemonReturn", "version"],
                    "response" : xmlResponse10.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;')
				}
            }
        },
		"sessions_info" : {
            "path" : "/sessions/sessionsInfo.json",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions info in json format.",
                    "request" : ["version"],
                    "response" : [
					  {
						"userClass": "string",
						"loggedIn": "string",
						"maxAllowed": "unlimited",
						"instantaneousFTPBandwidth": "string",
						"localLoggedIn": "string"
					  }
					]
				}
            }
        },
		"sessions_id" : {
            "path" : "/sessions/{sessionID}",
            "methods" : {
                "get" : {
					"description" : " - Gets a single session.",
                    "request" : ["sessionID", "version"],
                    "response" : {
					  "id" : "...",
					  "userName" : "...",
					  "host" : "...",
					  "protocol" : "...",
					  "userClass" : "...",
					  "currentTransferBandwith" : "...",
					  "command" : "...",
					  "sessionCreationTime" : "...",
					  "metadata" : {
						"links" : {}
					  },
					  "nodeIp" : "..."
					}
				},
				"delete" : {
					"description" : " - Kills a session.",
                    "request" : ["sessionID", "localDaemonReturn", "version"],
                    "response" : ""
                }
            }
        }
	},
	"VersionInformation": {
		"version"  : {
            "path" : "/version",
            "methods" : {
                "get" : {
					"description" : " - Gets the version information of ST.",
                    "request" : ["version"],
                    "response" : {
					  "serverType" : "...",
					  "version" : "...",
					  "build" : "...",
					  "os" : "...",
					  "isRoot" : false,
					  "other" : [ "...", "..." ]
					}
				}
            }
        }
	},
	"SiteTemplate": {
		"siteTemplates"  : {
            "path" : "/siteTemplates/{name}",
            "methods" : {
                "get" : {
					"description" : "Get a site template.",
                    "request" : [
						"name",
						"version"
					],
                    "response" : {
					  "id" : "...",
					  "name" : "...",
					  "protocol" : "..."
					}
				}
            }
        }
	},
	"Subscriptions": {
		"subscriptions"  : {
            "path" : "/subscriptions",
            "methods" : {
                "get" : {
					"description" : "Gets the subscriptions.",
                    "request" : [
						"limit",
						"offset",
						"account",
						"application",
						"version"
					],
                    "response" : {
					  "subscription" : [ {
						"id" : "...",
						"folder" : "...",
						"account" : "...",
						"application" : "...",
						"subscriberID" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					}
				},
				"post" : {
					"description" : "Creates the subscriptions.",
                    "request" : [
						"version"
					],
                    "request_body" : {
					  "subscription" : [ {
						"id" : "...",
						"folder" : "...",
						"account" : "...",
						"application" : "...",
						"subscriberID" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  } ]
					},
					"response" : ""
				}
            }
        },
		"subscriptions_id"  : {
            "path" : "/subscriptions/{id}",
            "methods" : {
                "get" : {
					"description" : "Gets a single subscription with a given id.",
                    "request" : [
						"id",
						"version"
					],
                    "response" : {
						"id" : "...",
						"folder" : "...",
						"account" : "...",
						"application" : "...",
						"subscriberID" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					}
				},
				"post" : {
					"description" : "Updates subscription properties.",
                    "request" : [
						"id",
						"version"
					],
                    "request_body" : {
						"id" : "...",
						"folder" : "...",
						"account" : "...",
						"application" : "...",
						"subscriberID" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					},
					"response" : ""
				},
				"delete" : {
					"description" : "",
                    "request" : [
						"id",
						"version"
					],
					"response" : ""
				}
            }
        },
		"subscriptions_id_schedules"  : {
            "path" : "/subscriptions/{subscriptionId}/schedules",
            "methods" : {
                "get" : {
					"description" : "Gets the schedules for a subscription with a given id.",
                    "request" : [
						"subscriptionId",
						"version"
					],
                    "response" : {
					  "schedule" : [ {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ "...", "..." ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					}
				},
				"post" : {
					"description" : "Creates schedules for a subscription with a given id.",
                    "request" : [
						"subscriptionId",
						"version"
					],
                    "request_body" : {
					  "schedule" : [ {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ "...", "..." ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					  }]
					},
					"response" : ""
				}
			}
		},
		"subscriptions_id_transferConfigurations"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations",
            "methods" : {
                "get" : {
					"description" : "Gets the transfer configurations for a given subscription.",
                    "request" : [
						"subscriptionId",
						"version"
					],
                    "response" : {
					  "transferConfiguration" : [ {
						"id" : "...",
						"tag" : "...",
						"direction" : "...",
						"site" : "...",
						"transferProfile" : "...",
						"dataTransformations" : [ {
						  "id" : "...",
						  "type" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						}, "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }, "..." ]
					}
				},
				"post" : {
					"description" : "Delete all transfer configurations and replaced them with the given transfer configurations.",
                    "request" : [
						"subscriptionId",
						"version"
					],
                    "request_body" : {
					  "transferConfiguration" : [ {
						"id" : "...",
						"tag" : "...",
						"direction" : "...",
						"site" : "...",
						"transferProfile" : "...",
						"dataTransformations" : [ {
						  "id" : "...",
						  "type" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						}, "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					  }, "..." ]
					},
					"response" : ""
				}
			}
		},
		"subscriptions_id_schedules_scheduleTag"  : {
            "path" : "/subscriptions/{subscriptionId}/schedules/{scheduleTag}",
            "methods" : {
                "get" : {
					"description" : "Gets the schedule for a subscription with a given id.",
                    "request" : [
						"subscriptionId",
						"scheduleTag",
						"version"
					],
                    "response" : {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ "...", "..." ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					}
				},
				"post" : {
					"description" : "Updates subscription schedule properties.",
                    "request" : [
						"subscriptionId",
						"scheduleTag",
						"version"
					],
                    "request_body" : {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ "...", "..." ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					},
					"response" : ""
				},
				"put" : {
					"description" : "Creates the schedule or replaces existing subscription schedule with the same tag.",
                    "request" : [
						"subscriptionId",
						"scheduleTag",
						"version"
					],
                    "request_body" : {
						"target" : "...",
						"subscriptionId" : "...",
						"applicationName" : "...",
						"tag" : "...",
						"type" : "ONCE",
						"executionTimes" : [ "...", "..." ],
						"daysOfMonth" : [ "...", "..." ],
						"daysOfWeek" : [ "SUNDAY", "..." ],
						"months" : [ "JANUARY", "..." ],
						"startDate" : "...",
						"endDate" : "...",
						"hourlyStep" : "...",
						"weekOfMonth" : "FIRST",
						"skipHolidays" : false,
						"hourlyType" : "PERHOURS",
						"dailyType" : "EVERYDAY",
						"monthlyType" : "EXACT",
						"metadata" : {
						  "links" : {
						  }
						}
					},
					"response" : ""
				},
				"delete" : {
					"description" : "Deletes a schedule.",
                    "request" : [
						"subscriptionId",
						"scheduleTag",
						"version"
					],
					"response" : ""
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}",
            "methods" : {
                "get" : {
					"description" : "Gets the transfer configurations for a given subscription.",
                    "request" : [
						"subscriptionId",
						"transferConfigurationId",
						"version"
					],
                    "response" : {
						"id" : "...",
						"tag" : "...",
						"direction" : "...",
						"site" : "...",
						"transferProfile" : "...",
						"dataTransformations" : [ {
						  "id" : "...",
						  "type" : "...",
						  "metadata" : {
							"links" : {
							}
						  }
						}, "..." ],
						"metadata" : {
						  "links" : {
						  }
						}
					}
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId_dataTransformations"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}/dataTransformations",
            "methods" : {
                "get" : {
					"description" : "Gets the data transformations for a given transfer configuration.",
                    "request" : [
						"subscriptionId",
						"transferConfigurationId",
						"version"
					],
                    "response" : {
					  "dataTransformation" : [ {
						"id" : "...",
						"type" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					  }, "..." ]
					}
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId_dataTransformations_dataTransformationId"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}/dataTransformations/{dataTransformationId}",
            "methods" : {
                "get" : {
					"description" : "Gets a data transformation for a given transfer configuration with given id.",
                    "request" : [
						"subscriptionId",
						"transferConfigurationId",
						"dataTransformationId",
						"version"
					],
                    "response" : {
						"id" : "...",
						"type" : "...",
						"metadata" : {
						  "links" : {
						  }
						}
					}
				}
			}
		}
	},
	"Transfers": {
		"transfers"  : {
            "path" : "/transfers",
            "methods" : {
                "get" : {
					"description" : "Retrieve transfer log entries.",
                    "request" : [
						"limit",
						"offset",
						"accountOrLogin",
						"file",
						"userClass",
						"site",
						"status",
						"transferId",
						"startTimeBefore",
						"startTimeAfter",
						"endTimeBefore",
						"endTimeAfter",
						"actionBy",
						"protocol",
						"application",
						"direction",
						"secure",
						"resubmitted",
						"operationIndex",
						"version"
					],
                    "response" : {
					  "transferEntries" : [ {
						"status" : "...",
						"secure" : false,
						"account" : "...",
						"login" : "...",
						"direction" : "...",
						"actionBy" : "...",
						"filename" : "...",
						"filesize" : "...",
						"protocol" : "...",
						"startTime" : "...",
						"duration" : "...",
						"operationIndex" : "...",
						"remoteDir" : "...",
						"metadata" : {
						  "links" : {
						  }
						},
						"coreId" : "..."
					  }, "..." ]
					}
				}
            }
        },
		"transfers_export"  : {
            "path" : "/transfers/export",
            "methods" : {
                "get" : {
					"description" : "Retrieve transfer log entries.",
                    "request" : [
						"limit",
						"offset",
						"accountOrLogin",
						"file",
						"userClass",
						"site",
						"status",
						"transferId",
						"startTimeBefore",
						"startTimeAfter",
						"endTimeBefore",
						"endTimeAfter",
						"actionBy",
						"protocol",
						"application",
						"direction",
						"secure",
						"resubmitted",
						"operationIndex",
						"version"
					],
                    "response" : ""
				}
            }
        },
		"transfers_transferId"  : {
            "path" : "/transfers/{transferId}",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "status" : "...",
					  "startTime" : "...",
					  "duration" : "...",
					  "account" : "...",
					  "login" : "...",
					  "userClass" : "...",
					  "userType" : "...",
					  "application" : "...",
					  "transferType" : "...",
					  "transferSite" : "...",
					  "file" : "...",
					  "size" : "...",
					  "protocol" : "...",
					  "mode" : "...",
					  "remoteHost" : "...",
					  "remoteFolder" : "...",
					  "accountFolder" : "...",
					  "realFile" : "...",
					  "transferId" : "...",
					  "sessionId" : "...",
					  "archivedAs" : "...",
					  "successMessage" : "...",
					  "errorMessage" : "...",
					  "pesitAcknowledge" : "...",
					  "operationIndex" : "...",
					  "protocolCommands" : "...",
					  "subtransmissionStatuses" : {
						"subtransmissionStatus" : [ {
						  "operationType" : "...",
						  "completion" : "...",
						  "result" : "...",
						  "comment" : "..."
						}, "..." ]
					  },
					  "requestEntity" : "...",
					  "icapDetails" : "...",
					  "coreId" : "...",
					  "additionalInformation" : "...",
					  "xffHeader" : "..."
					}
				}
            }
        },
		"transfers_transferId_cancel"  : {
            "path" : "/transfers/{transferId}/cancel",
            "methods" : {
                "post" : {
					"description" : "Cancel a transfer.",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "message" : "..."
					}
				}
            }
        },
		"transfers_transferId_mdn"  : {
            "path" : "/transfers/{transferId}/mdn",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "type" : "...",
					  "receipt" : false,
					  "data" : "...",
					  "startTime" : "...",
					  "transferId" : "..."
					}
				}
            }
        },
		"transfers_transferId_resubmit"  : {
            "path" : "/transfers/{transferId}/resubmit",
            "methods" : {
                "post" : {
					"description" : "",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "message" : "..."
					}
				}
            }
        },
		"transfers_transferId_transferData"  : {
            "path" : "/transfers/{transferId}/transferData",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "transferDataEntry" : [ {
						"type" : "...",
						"receipt" : false,
						"data" : "...",
						"startTime" : "...",
						"transferId" : "..."
					  }, "..." ]
					}
				}
            }
        },
		"transfers_transferId_mdn_verify"  : {
            "path" : "/transfers/{transferId}/mdn/verify",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
						"transferId",
						"version"
					],
                    "response" : {
					  "signatureResult" : "...",
					  "fileIntegrityResult" : "..."
					}
				}
            }
        }
	}
};