var api20 = {
	"Files": {
		"files": {
			"path": "/files",
			"methods": {
				"get": {
					"request": [
						"limit",
						"offset",
						"sortBy",
						"order",
						"transferMode",
						"metadata",
						"showdots"
					],
					"response": {
					  "files": [
					    {
					      "fileName": "string",
					      "newFilePath": "string",
					      "lastModifiedTime": 0,
					      "size": 0,
					      "isDirectory": false,
					      "isRegularFile": false,
					      "isSymbolicLink": false,
					      "isOther": false,
					      "group": "string",
					      "owner": "string",
					      "permissions": "string",
					      "isShared": false,
					      "transferStatus": "string",
					      "sharedDirectoryProperties": {
					        "ownerName": "string",
					        "ownerEmail": "string",
					        "isOwner": false,
					        "shareRights": 0,
					        "enableNotifications": false,
					        "enableOwnerNotifications": false,
					        "showCollaboratorsToAll": false,
					        "collaborators": [
					          "string"
					        ]
					      },
					      "customProperties": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    }
					  ],
					  "self": {
					    "fileName": "string",
					    "newFilePath": "string",
					    "lastModifiedTime": 0,
					    "size": 0,
					    "isDirectory": false,
					    "isRegularFile": false,
					    "isSymbolicLink": false,
					    "isOther": false,
					    "group": "string",
					    "owner": "string",
					    "permissions": "string",
					    "isShared": false,
					    "transferStatus": "string",
					    "sharedDirectoryProperties": {
					      "ownerName": "string",
					      "ownerEmail": "string",
					      "isOwner": false,
					      "shareRights": 0,
					      "enableNotifications": false,
					      "enableOwnerNotifications": false,
					      "showCollaboratorsToAll": false,
					      "collaborators": [
					        "string"
					      ]
					    },
					    "customProperties": {
					      "additionalProp1": "string",
					      "additionalProp2": "string",
					      "additionalProp3": "string"
					    }
					  }
					}
				},
				"post": {
					"request": [
						"transferMode"
					],
					"request_body" : "file (file chooser)",
					"response": "No content"
				}
			}
		},
		"files_filepath": {
			"path": "/files/{filepath}",
			"methods": {
				"get": {
					"request": [
						"filepath",
						"limit",
						"offset",
						"sortBy",
						"order",
						"transferMode",
						"metadata",
						"showdots"
					],
					"response": {
					  "files": [
					    {
					      "fileName": "string",
					      "newFilePath": "string",
					      "lastModifiedTime": 0,
					      "size": 0,
					      "isDirectory": false,
					      "isRegularFile": false,
					      "isSymbolicLink": false,
					      "isOther": false,
					      "group": "string",
					      "owner": "string",
					      "permissions": "string",
					      "isShared": false,
					      "transferStatus": "string",
					      "sharedDirectoryProperties": {
					        "ownerName": "string",
					        "ownerEmail": "string",
					        "isOwner": false,
					        "shareRights": 0,
					        "enableNotifications": false,
					        "enableOwnerNotifications": false,
					        "showCollaboratorsToAll": false,
					        "collaborators": [
					          "string"
					        ]
					      },
					      "customProperties": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    }
					  ],
					  "self": {
					    "fileName": "string",
					    "newFilePath": "string",
					    "lastModifiedTime": 0,
					    "size": 0,
					    "isDirectory": false,
					    "isRegularFile": false,
					    "isSymbolicLink": false,
					    "isOther": false,
					    "group": "string",
					    "owner": "string",
					    "permissions": "string",
					    "isShared": false,
					    "transferStatus": "string",
					    "sharedDirectoryProperties": {
					      "ownerName": "string",
					      "ownerEmail": "string",
					      "isOwner": false,
					      "shareRights": 0,
					      "enableNotifications": false,
					      "enableOwnerNotifications": false,
					      "showCollaboratorsToAll": false,
					      "collaborators": [
					        "string"
					      ]
					    },
					    "customProperties": {
					      "additionalProp1": "string",
					      "additionalProp2": "string",
					      "additionalProp3": "string"
					    }
					  },
					  "parent": {
					    "fileName": "string",
					    "newFilePath": "string",
					    "lastModifiedTime": 0,
					    "size": 0,
					    "isDirectory": false,
					    "isRegularFile": false,
					    "isSymbolicLink": false,
					    "isOther": false,
					    "group": "string",
					    "owner": "string",
					    "permissions": "string",
					    "isShared": false,
					    "transferStatus": "string",
					    "sharedDirectoryProperties": {
					      "ownerName": "string",
					      "ownerEmail": "string",
					      "isOwner": false,
					      "shareRights": 0,
					      "enableNotifications": false,
					      "enableOwnerNotifications": false,
					      "showCollaboratorsToAll": false,
					      "collaborators": [
					        "string"
					      ]
					    },
					    "customProperties": {
					      "additionalProp1": "string",
					      "additionalProp2": "string",
					      "additionalProp3": "string"
					    }
					  }
					}
				},
				"post": {
					"request": [
						"filepath",
						"transferMode"
					],
					"request_body" : "file (file chooser)",
					"response": "No content"
				},
				"post ": {
					"request": [
						"filepath",
						"transferMode"
					],
					"request_body" : {
					  "fileName": "string",
					  "newFilePath": "string",
					  "lastModifiedTime": 0,
					  "size": 0,
					  "isDirectory": false,
					  "isRegularFile": false,
					  "isSymbolicLink": false,
					  "isOther": false,
					  "group": "string",
					  "owner": "string",
					  "permissions": "string",
					  "isShared": false,
					  "transferStatus": "string",
					  "sharedDirectoryProperties": {
					    "ownerName": "string",
					    "ownerEmail": "string",
					    "isOwner": false,
					    "shareRights": 0,
					    "enableNotifications": false,
					    "enableOwnerNotifications": false,
					    "showCollaboratorsToAll": false,
					    "collaborators": [
					      "string"
					    ]
					  },
					  "customProperties": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					},
					"response": "No content"
				},
				"put": {
					"method" : "POST",
					"path" : "/files/{filepath}",
					"request": [
						"filepath",
						"transferMode"
					],
					"request_body" : "file (file chooser)",
					"response": "No content"
				},
				"put ": {
					"method" : "POST",
					"path" : "/files/{filepath}",
					"request": [
						"filepath",
						"transferMode"
					],
					"request_body" : {
					  "fileName": "string",
					  "newFilePath": "string",
					  "lastModifiedTime": 0,
					  "size": 0,
					  "isDirectory": false,
					  "isRegularFile": false,
					  "isSymbolicLink": false,
					  "isOther": false,
					  "group": "string",
					  "owner": "string",
					  "permissions": "string",
					  "isShared": false,
					  "transferStatus": "string",
					  "sharedDirectoryProperties": {
					    "ownerName": "string",
					    "ownerEmail": "string",
					    "isOwner": false,
					    "shareRights": 0,
					    "enableNotifications": false,
					    "enableOwnerNotifications": false,
					    "showCollaboratorsToAll": false,
					    "collaborators": [
					      "string"
					    ]
					  },
					  "customProperties": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					},
					"response": "No content"
				},
				"delete": {
					"request": [
						"filepath"
					],
					"response": "No content"
				}
			}
		}
	},
	"Myself": {
		"myself": {
			"path": "/myself",
			"methods": {
				"get": {
					"request": [],
					"response": {
						"name": "string",
						"uid": "string",
						"gid": "string",
						"disabled": false,
						"skin": "Default HTML Template",
						"type": "user",
						"unlicensed": false,
						"authByEmail": false,
						"contact": {
							"email": "string",
							"phone": "string"
						},
						"deliveryMethod": "Disabled",
						"enrollmentTypes": [
							"string"
						],
						"sharingAllowed": false,
						"transfersWebServiceAllowed": false,
						"language": "string",
						"messageOfTheDay": "string",
						"addressBookSettings": {
							"enabled": true,
							"collaborationAllowed": true,
							"minSearchLength": 0,
							"maxDisplayEntries": 0,
							"maxDisplayPages": 0
						},
						"passwordPolicy": {
							"special": 0,
							"total": 0,
							"alpha": 0,
							"numeric": 0,
							"recentPasswords": 0,
							"minPasswordAge": 0
						}
					}
				},
				"delete": {
					"request": [
					],
					"response": {
					  "message": "string"
					}
				},
				"post": {
					"request": [
					],
					"response": {
					  "message": "string"
					}
				}
			}
		},
		"myself_changePassword": {
			"methods": {
				"post": {
					"path": "/myself/password",
					"request": ["operation=change"],
					"request_body": {
						"operation": "change",
						"oldPassword": "string",
						"newPassword": "string"
					},
					"response": {
					  "message": "string"
					}
				}
			}
		},
		"myself_passwordExpired": {
			"path": "/myself/passwordExpired",
			"methods": {
				"get": {
					"request": [
					],
					"response": {
						"message": "string",
						"changePasswordURL": "string",
						"expired": true
					}
				}
			}
		},
		"myself_pollServerTime": {
			"methods": {
				"get": {
					"path": "/serverTime",
					"request": [
					],
					"response": {
					  "requestArrivalTime": "string",
					  "responseDepartureTime": "string"
					}
				}
			}
		},
		"myself_resetPassword": {
			"path": "/myself/resetPassword",
			"methods": {
				"get": {
					"method": "post",
					"path": "/myself/password",
					"request": ["operation=reset"],
					"request_body": {
					  "operation": "reset",
					  "token": "string",
					  "secretAnswer": "string",
					  "username": "string",
					  "newPassword": "string"
					},
					"response": {
					  "message": "string"
					}
				},
				"post": {
					"path": "/myself/password",
					"request": ["operation=requestLink"],
					"request_body": {
					  "operation": "requestLink",
					  "username": "string",
					  "email": "string"
					},
					"response": {
					  "message": "string"
					}
				}
			}
		}
	},
    "UserTransfersResource": {
        "transfers_list": {
            "path": "/transfers",
            "methods": {
                "get": {
                    "description": "Retrieves transfer log entries matching the search criteria.",
                    "request": [
                        "limit",
                        "offset",
                        "file",
                        "site",
                        "status",
                        "startTimeBefore",
                        "startTimeAfter",
                        "endTimeBefore",
                        "endTimeAfter",
                        "actionBy",
                        "protocol",
                        "application",
                        "direction",
                        "secure",
                        "resubmitted",
                        "operationIndex",
                        "coreId"
                    ],
                    "response": [
					  {
					    "transferId": "string",
					    "status": "In Progress",
					    "secure": false,
					    "account": "string",
					    "login": "string",
					    "direction": "Incoming",
					    "actionBy": "Server",
					    "filename": "string",
					    "filesize": 0,
					    "protocol": "as2",
					    "startTime": "string",
					    "duration": "string",
					    "operationIndex": "string",
					    "coreId": "string",
					    "remoteDir": "string",
					    "remoteAlternativeAddresses": "string",
					    "securityParameters": "string",
					    "resubmitted": false
					  }
					]
                },
            }
        },
        "transfers_by_id": {
           "path": "/transfers/{transferId}",
           "methods": {
          		"get": {
	            	"path" : "/transfers/{id}",
	             	"description": "Return a specific transfer log entry.",
	             	"request": [
	                    "id"		
	             	],
		            "response": {
		               "status": "string",
		               "startTime": "string",
		               "duration": "string",
		               "account": "string",
		               "login": "string",
		               "userClass": "string",
		               "userType": "string",
		               "application": "string",
		               "transferType": "Auto-Pull",
		               "transferSite": "string",
		               "file": "string",
		               "size": 0,
		               "protocol": "as2",
		               "mode": "BINARY",
		               "remoteHost": "string",
		               "remoteFolder": "string",
		               "accountFolder": "string",
		               "realFile": "string",
		               "transferId": "string",
		               "sessionId": "string",
		               "archivedAs": "string",
		               "successMessage": "string",
		               "errorMessage": "string",
		               "pesitAcknowledge": "string",
		               "pesitAcknowledgeDirection": "Incoming",
		               "operationIndex": "string",
		               "coreId": "string",
		               "protocolCommands": "string",
		               "subtransmissionStatuses": [
                            {
                              "operationType": "string",
                              "completion": "string",
                              "result": "string",
                              "comment": "string"
                            }
		               ],
		               "requestEntity": "string",
		               "additionalInformation": "string",
		               "icapDetails": "string",
		               "transferData": [
                            {
                              "data": "string",
                              "startTime": "string",
                              "type": "string",
                              "transferId": "string",
                              "receipt": false
                            }
		               ]
		             }
            	}
           }
		},
		"transfers_folder_monitor": {
            "path": "/transfers/folder-monitor",
            "methods": {
                "post": {
					"path" : "/transfers/operations",
					"method" : "POST",
                    "description": "Initiate a folder monitor transfer.",
                    "request": [],
                    "request_body": {
					  "operation": "folderMonitor",
					  "data": {
					    "operationIndex": "string",
					    "downloadFolder": "string",
					    "filePattern": "string",
					    "filePatternType": "glob",
					    "fileCaseSensitive": true,
					    "subFolderPattern": "string",
					    "subFolderPatternType": "glob",
					    "subFolderCaseSensitive": true,
					    "subFolderMaxDepth": 1,
					    "uploadFolder": "string"
					  }
					},
                    "response": {
                      "message" : "...",
                      "link" : "..."
                    }
                }
            }
        },
        "transfers_pull": {
            "path": "/transfers/pull",
            "methods": {
                "post": {
					"path" : "/transfers/operations",
					"method" : "POST",
                    "description": "Pull files from a given site.",
                    "request": [],
                    "request_body": {
					  "operation": "pull",
					  "data": {
					    "destinationDirectory": "string",
					    "site": "string",
					    "operationIndex": "string",
					    "transferProfile": "string",
					    "sentinelCycleId": "string",
					    "sentinelTrackingObject": "string",
					    "maxParallelSitPulls": 10,
					    "customProperties": {
					      "additionalProp1": "string",
					      "additionalProp2": "string",
					      "additionalProp3": "string"
					    }
					  }
					},
                    "response": {
                      "message": "string",
                      "link": "string"
                    }
                }
            }
        },
        "transfers_push": {
            "path": "/transfers/push",
            "methods": {
                "post": {
					"path" : "/transfers/operations",
					"method" : "POST",
                    "description": "Push a file to a given site.",
                    "request": [],
                    "request_body": {
					  "operation": "push",
					  "data": {
					    "file": "string",
					    "site": "string",
					    "operationIndex": "string",
					    "asynchronousCall": false,
					    "transferProfile": "string",
					    "sentinelCycleId": "string",
					    "sentinelTrackingObject": "string",
					    "customProperties": {
					      "additionalProp1": "string",
					      "additionalProp2": "string",
					      "additionalProp3": "string"
					    }
					  }
					},
                    "response": {
                      "message": "string",
                      "link": "string"
                    }
                }
            }
        },
		"transfers_mdn": {
            "path": "/transfers/{transferId}/mdn",
            "methods": {
                "get": {
					"path" : "/transfers/{id}",
                    "description": "Get the transfer receipt for a transfer id.",
                    "request": [
                        "id"
                    ],
                    "response": {
					  "status": "string",
					  "startTime": "string",
					  "duration": "string",
					  "account": "string",
					  "login": "string",
					  "userClass": "string",
					  "userType": "string",
					  "application": "string",
					  "transferType": "Auto-Pull",
					  "transferSite": "string",
					  "file": "string",
					  "size": 0,
					  "protocol": "as2",
					  "mode": "BINARY",
					  "remoteHost": "string",
					  "remoteFolder": "string",
					  "accountFolder": "string",
					  "realFile": "string",
					  "transferId": "string",
					  "sessionId": "string",
					  "archivedAs": "string",
					  "successMessage": "string",
					  "errorMessage": "string",
					  "pesitAcknowledge": "string",
					  "pesitAcknowledgeDirection": "Incoming",
					  "operationIndex": "string",
					  "coreId": "string",
					  "protocolCommands": "string",
					  "subtransmissionStatuses": [
					    {
					      "operationType": "string",
					      "completion": "string",
					      "result": "string",
					      "comment": "string"
					    }
					  ],
					  "requestEntity": "string",
					  "additionalInformation": "string",
					  "icapDetails": "string",
					  "transferData": [
					    {
					      "data": "string",
					      "startTime": "string",
					      "type": "string",
					      "transferId": "string",
					      "receipt": false
					    }
					  ]
					}
                }
            }
        },
        "transfers_transferData": {
            "path": "/transfers/{transferId}/transferData",
            "methods": {
                "get": {
					"path" : "/transfers/{id}",
                    "description": "Get all transfer data for a given transfer.",
                    "request": [
                        "id"
                    ],
                    "response": {
					  "status": "string",
					  "startTime": "string",
					  "duration": "string",
					  "account": "string",
					  "login": "string",
					  "userClass": "string",
					  "userType": "string",
					  "application": "string",
					  "transferType": "Auto-Pull",
					  "transferSite": "string",
					  "file": "string",
					  "size": 0,
					  "protocol": "as2",
					  "mode": "BINARY",
					  "remoteHost": "string",
					  "remoteFolder": "string",
					  "accountFolder": "string",
					  "realFile": "string",
					  "transferId": "string",
					  "sessionId": "string",
					  "archivedAs": "string",
					  "successMessage": "string",
					  "errorMessage": "string",
					  "pesitAcknowledge": "string",
					  "pesitAcknowledgeDirection": "Incoming",
					  "operationIndex": "string",
					  "coreId": "string",
					  "protocolCommands": "string",
					  "subtransmissionStatuses": [
					    {
					      "operationType": "string",
					      "completion": "string",
					      "result": "string",
					      "comment": "string"
					    }
					  ],
					  "requestEntity": "string",
					  "additionalInformation": "string",
					  "icapDetails": "string",
					  "transferData": [
					    {
					      "data": "string",
					      "startTime": "string",
					      "type": "string",
					      "transferId": "string",
					      "receipt": false
					    }
					  ]
					}
                }
            }
        },
        "transfers_mdn_verify": {
            "path": "/transfers/{transferId}/mdn/verify",
            "methods": {
                "get": {
					"path" : "/transfers/{id}/operations",
                    "description": "Verify transfer receipt for a given transfer id.",
                    "request": [
                        "id", "operation=verifymdn"
                    ],
                    "response": {
                      "signatureResult" : "...",
                      "fileIntegrityResult" : "..."
                    }
                }
            }
        }
    },
    "FileOpsResource": {
        "fileops_post": {
            "path": "/fileops",
            "methods": {
                "post": {
					"path": "/fileOperations",
                    "description": "Submit file operation.",
                    "request": [],
                    "request_body": {
                      "id": "string",
                      "operation": "MD5Calc",
                      "filePath": "string",
                      "status": "DONE",
                      "result": {
                        "md5Checksum": "string",
                        "fileSize": "string"
                      },
                      "errorMsg": "string",
                      "customAttributes": {
                        "transferMode": "string"
                      }
                    },
                    "response": {
					  "id": "string",
					  "operation": "MD5Calc",
					  "filePath": "string",
					  "status": "DONE",
					  "result": {
					               "md5Checksum": "string",
					               "fileSize": "string"
					  },
					  "errorMsg": "string",
					  "customAttributes": {
					               "transferMode": "string"
					  }
					}
                },
            }
        },
        "filops_by_id": {
            "path": "/fileops/{id}",
            "methods": {
                "get": {
					"path": "/fileOperations/{id}",
                    "description": "Get a file operation status by its id.",
                    "request": [
                        "id"
                    ],
                    "response": {
					  "id": "string",
					  "operation": "MD5Calc",
					  "filePath": "string",
					  "status": "DONE",
					  "result": {
					               "md5Checksum": "string",
					               "fileSize": "string"
					  },
					  "errorMsg": "string",
					  "customAttributes": {
					               "transferMode": "string"
					  }
					}
                },
                "delete": {
					"path": "/fileOperations/{id}",
                    "description": "Cancel file operation by its id.",
                    "request": [
                        "id"
                    ],
                    "response": "No content"
                },
                "put": {
					"path": "/fileOperations/{id}",
                    "description": "Perform chunked upload by already submitted file operation id.",
                    "request": [
                        "id"
                    ],
                    "response": "No content"
                },
                "post": {
					"path": "/fileOperations/{id}",
                    "description": "Perform multipart form data upload. The same format as FilesResource#uploadFile(HttpServletRequest, HttpServletResponse, String, String)",
                    "request": [
                        "id"
                    ],
                    "request_body": "file (file chooser)",
                    "response": "No content"
                }
            }
        }
    }
};
